import { Component, ChangeDetectionStrategy, Input } from '@angular/core';
import { RebirthNGConfig } from '../rebirth-ng.config';
var EllipsisComponent = (function () {
    function EllipsisComponent(rebirthNGConfig) {
        this.fullText = '';
        this.ellipsisText = '';
        this.length = rebirthNGConfig.ellipsis.length;
        this.placement = rebirthNGConfig.ellipsis.placement;
    }
    Object.defineProperty(EllipsisComponent.prototype, "max", {
        set: function (length) {
            this.length = length;
            this.ellipsis();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(EllipsisComponent.prototype, "text", {
        set: function (text) {
            this.fullText = text || '';
            this.ellipsis();
        },
        enumerable: true,
        configurable: true
    });
    EllipsisComponent.prototype.ellipsis = function () {
        this.ellipsisText = this.fullText.length > this.length ? this.fullText.substr(0, this.length) : '';
    };
    EllipsisComponent.decorators = [
        { type: Component, args: [{
                    selector: 're-ellipsis',
                    template: "\n    <span *ngIf=\"ellipsisText\" [reTooltip]=\"fullText\" [placement]=\"placement\">{{ellipsisText}}...</span> <span *ngIf=\"!ellipsisText\">{{fullText}}</span>\n  ",
                    styles: ["\n    :host{display:inline-block;cursor:default}\n  "],
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    exportAs: 'ellipsis'
                },] },
    ];
    /** @nocollapse */
    EllipsisComponent.ctorParameters = function () { return [
        { type: RebirthNGConfig, },
    ]; };
    EllipsisComponent.propDecorators = {
        "placement": [{ type: Input },],
        "max": [{ type: Input },],
        "text": [{ type: Input },],
    };
    return EllipsisComponent;
}());
export { EllipsisComponent };
//# sourceMappingURL=ellipsis.component.js.map