import { Input } from '@angular/core';
var PanelGroup = (function () {
    function PanelGroup() {
        this.panels = [];
    }
    PanelGroup.prototype.$addItem = function (panel) {
        this.$removeItem(panel);
        if (this.type) {
            panel.type = this.type;
        }
        panel.cssClass = this.cssClass;
        this.initPanel(panel);
        this.panels.push(panel);
    };
    PanelGroup.prototype.$removeItemById = function (id) {
        var index = this.panels.findIndex(function (item) { return item.id === id; });
        this.removeItemByIndex(index);
    };
    PanelGroup.prototype.$removeItem = function (panel) {
        if (panel) {
            var index = this.panels.findIndex(function (item) { return item === panel; });
            this.removeItemByIndex(index);
        }
    };
    PanelGroup.prototype.removeItemByIndex = function (index) {
        if (index !== -1) {
            this.panels.splice(index, 1);
        }
    };
    PanelGroup.propDecorators = {
        "type": [{ type: Input },],
        "cssClass": [{ type: Input },],
    };
    return PanelGroup;
}());
export { PanelGroup };
//# sourceMappingURL=panel-group.model.js.map