var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Component, ElementRef, Renderer2, ChangeDetectorRef } from '@angular/core';
import { TooltipPopup } from './tooltip-popup';
import { trigger, state, style, animate, transition } from '@angular/animations';
var TooltipPopupComponent = (function (_super) {
    __extends(TooltipPopupComponent, _super);
    function TooltipPopupComponent(elementRef, renderer, changeDetectorRef) {
        return _super.call(this, elementRef, renderer, changeDetectorRef) || this;
    }
    TooltipPopupComponent.decorators = [
        { type: Component, args: [{
                    selector: 're-tooltip-popup',
                    template: "\n    <div class=\"tooltip-arrow\"></div><div class=\"tooltip-inner\" *ngIf=\"content\"><span *ngIf=\"!isTemplateRef(content)\" [innerHTML]=\"content\"></span><ng-template *ngIf=\"isTemplateRef(content)\" [ngTemplateOutlet]=\"content\" [ngTemplateOutletContext]=\"{ $implicit: context }\"></ng-template></div>\n  ",
                    styles: ["\n    .tooltip-inner{word-break:break-all;word-wrap:break-word}\n  "],
                    host: {
                        '[class]': '"tooltip fade  " + placement',
                        '[style.display]': '"none"',
                        'role': 'tooltip',
                        '[@state]': 'animateState',
                        '(@state.done)': 'afterVisibilityAnimation($event)'
                    },
                    animations: [
                        trigger('state', [
                            state('void', style({ transform: 'scale(0)' })),
                            state('initial', style({ transform: 'scale(0)' })),
                            state('visible', style({ transform: 'scale(1)' })),
                            state('hidden', style({ transform: 'scale(0)' })),
                            transition('* => visible', animate('150ms cubic-bezier(0.0, 0.0, 0.2, 1)')),
                            transition('* => hidden', animate('150ms cubic-bezier(0.4, 0.0, 1, 1)')),
                        ])
                    ],
                },] },
    ];
    /** @nocollapse */
    TooltipPopupComponent.ctorParameters = function () { return [
        { type: ElementRef, },
        { type: Renderer2, },
        { type: ChangeDetectorRef, },
    ]; };
    return TooltipPopupComponent;
}(TooltipPopup));
export { TooltipPopupComponent };
//# sourceMappingURL=tooltip-popup.component.js.map